#!/usr/bin/env python3

import pytest
import os

test_output_path = os.path.dirname(os.path.abspath(__file__)) + \
                '/../output/convertReads/'


@pytest.mark.singleend_human
def test_convert_reads_singleend_human():
    assert os.path.exists(os.path.join(test_output_path, 'ENCLB622FZX.tagAlign.gz'))


@pytest.mark.pairedend_mouse
def test_convert_reads_pairedend_mouse():
    assert os.path.exists(os.path.join(test_output_path, 'ENCLB749GLW.tagAlign.gz'))
